module ApplicationHelper
  include Pagy::Frontend

  def sats_to_btc(sats)
    sats.to_f / 100000000
  end

  def main_nav_class(current_section, link_to_section)
    if current_section == link_to_section
      "bg-gray-900/50 text-white px-3 py-2 rounded-md font-medium text-base md:text-sm block md:inline-block"
    else
      "text-gray-300 hover:bg-gray-900/30 hover:text-white active:bg-gray-900/30 active:text-white px-3 py-2 rounded-md font-medium text-base md:text-sm block md:inline-block"
    end
  end

  # Colors available: gray, red, yellow, green, blue, purple, pink
  # (Add more colors by adding classes to the safelist in tailwind.config.js)
  def badge(text, color)
    tag.span text, class: "inline-flex items-center rounded-full bg-#{color}-100 px-2.5 py-0.5 text-xs font-medium text-#{color}-800"
  end
end
